Loading...
Searching...
No Matches
AVVAAPIDeviceContext Struct Reference

VAAPI connection details. More...

`#include <libavutil/hwcontext_vaapi.h>`

## Data Fields

VADisplay | display
| The VADisplay handle, to be filled by the user.
unsigned int | driver_quirks
| Driver quirks to apply - this is filled by av_hwdevice_ctx_init(), with reference to a table of known drivers, unless the AV_VAAPI_DRIVER_QUIRK_USER_SET bit is already present.

## Detailed Description

VAAPI connection details.

Allocated as AVHWDeviceContext.hwctx

Definition at line 68 of file hwcontext_vaapi.h.

## Field Documentation

## display

VADisplay AVVAAPIDeviceContext::display

The VADisplay handle, to be filled by the user.

Definition at line 72 of file hwcontext_vaapi.h.

## driver_quirks

unsigned int AVVAAPIDeviceContext::driver_quirks

Driver quirks to apply - this is filled by av_hwdevice_ctx_init(), with reference to a table of known drivers, unless the AV_VAAPI_DRIVER_QUIRK_USER_SET bit is already present.

The user may need to refer to this field when performing any later operations using VAAPI with the same VADisplay.

Definition at line 80 of file hwcontext_vaapi.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_vaapi.h